import type { FormInst } from "naive-ui";
import type { Ref } from "vue";
import type { ValidateError } from "../types/Rule";
export declare const useFormEvent: ({ emit, formRef, formValues, formModel, defaultValueRef, getFieldsValue, }: {
    emit: Function;
    formRef: Ref<FormInst | null>;
    formValues: Record<string, any>;
    formModel: Record<string, any>;
    defaultValueRef: Record<string, any>;
    getFieldsValue: () => Record<string, any>;
}) => {
    validate: () => Promise<Record<string, any>>;
    resetFields: () => Promise<void>;
    clearValidate: () => Promise<void>;
    validateFields: (keys?: string | string[]) => Promise<boolean | ValidateError>;
};
